Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class Placement

    java.lang.Object
      com.amazonaws.services.ec2.model.Placement

    public class Placement

extends Object

Describes where an Amazon EC2 instance is running within an Amazon EC2 region.

Constructor Summary
`Placement()`

Method Summary
`String` | `getAvailabilityZone()` The availability zone in which an Amazon EC2 instance runs.
`String` | `getGroupName()` The name of a PlacementGroup.
`void` | `setAvailabilityZone(String availabilityZone)` The availability zone in which an Amazon EC2 instance runs.
`void` | `setGroupName(String groupName)` The name of a PlacementGroup.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`Placement` | `withAvailabilityZone(String availabilityZone)` The availability zone in which an Amazon EC2 instance runs.
`Placement` | `withGroupName(String groupName)` The name of a PlacementGroup.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Placement

    public Placement()

Method Detail

### getAvailabilityZone

    public String getAvailabilityZone()

  The availability zone in which an Amazon EC2 instance runs.

  Returns:
    The availability zone in which an Amazon EC2 instance runs.

### setAvailabilityZone

    public void setAvailabilityZone(String availabilityZone)

  The availability zone in which an Amazon EC2 instance runs.

  Parameters:
    `availabilityZone` - The availability zone in which an Amazon EC2 instance runs.

### withAvailabilityZone

    public Placement withAvailabilityZone(String availabilityZone)

  The availability zone in which an Amazon EC2 instance runs.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZone` - The availability zone in which an Amazon EC2 instance runs.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getGroupName

    public String getGroupName()

  The name of a PlacementGroup.

  Returns:
    The name of a PlacementGroup.

### setGroupName

    public void setGroupName(String groupName)

  The name of a PlacementGroup.

  Parameters:
    `groupName` - The name of a PlacementGroup.

### withGroupName

    public Placement withGroupName(String groupName)

  The name of a PlacementGroup.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `groupName` - The name of a PlacementGroup.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.